function onFileTransferLoad() {
  window.bundle = getStringBundle("chrome://msnmsgr/locale/filetransfer.properties");
  window.invCookie = window.arguments[0].invCookie;
  window.file = window.arguments[0].file;
  window.send = window.arguments[0].send;
  window.isClosing = false;
  if (typeof(window.arguments[1]) != "undefined") {
    window.connect(window.arguments[1].authCookie, null);
  }
}

function onFileTransferUnload() {
  if (window.msnftp) {
    if (window.isClosing == false) {
      window.msnftp.cancel(true);
    }
    delete window.msnftp;
  }
}

window.cancelTransfer = function(myCancel) {
  if (this.msnftp) {
    this.msnftp.cancel(myCancel);
  }
  else {
    this.opener.reportTransferResult(3, this.invCookie, this.file.leafName);
    this.isClosing = true;
    this.close();
  }
}

window.connect = function(authCookie, ip) {
  window.msnftp = new MSNFTP(file, authCookie, send, ip);
  window.msnftp.open();
  document.getElementById("transferStatus").value = window.bundle.GetStringFromName("connecting");
}

window.getInvCookie = function() {
  return this.invCookie;
}

window.getSend = function() {
  return this.send;
}

function showTransferProgress(percentage) {
  document.getElementById("fileTransferProgress").setAttribute("value", percentage);
}

function transferDone(result) {
  window.msnftp.close();
  window.opener.reportTransferResult(result, window.invCookie, window.file.leafName);
  window.isClosing = true;
  window.close();
}

function transferStarted() {
  var label = ''
  window.send ? label = "sending" : label = "receiving";
  document.getElementById("transferStatus").value = window.bundle.GetStringFromName(label);
}